<div class="col-12 p-0" style="position: relative;">
    <ngx-spinner bdColor="rgba(0,0,0,0.8)" color="#fff" type="timer" size="large" [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
    </ngx-spinner>
    <p-toast></p-toast>

    <div class="col-12 p-0">

        <!--/////// speedDial End////////-->
        <div class="col-12">
            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">
                <div class="flex align-items-center">
                    <!-- <img src="assets/demo/images/avatar/profile.jpg" width="64" alt="profile"
                        class="border-circle border-2 border-primary flex-shrink-0" /> -->
                    <div class="ml-3">
                        <span class="text-4xl font-light">{{title}}{{fname}} {{lname}}</span>
                        <div class="text-color-secondary">
                            <span class="text-black-alpha-90 font-bold mr-2">อายุ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{age |thaiage}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">เพศ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{gender}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">AN :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{an}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">HN :</span>
                            <span class="text-black-alpha-60 font-semibold">{{hn}} </span>
                        </div>
                    </div>
                </div>
                <div class="flex align-items-center justify-content-between gap-3">
                    <!-- <button pButton pRipple icon="pi pi-arrow-left"
                    class="p-button-rounded p-button-outlined">ย้อนกลับ</button> -->
                    <button pButton pRipple icon="pi pi-arrow-left" type="button" label="" pTooltip="ย้อนกลับ" tooltipPosition="top"
                        class="p-button-danger" (click)="back()"></button>

                </div>
            </div>
        </div>



        <div class="card p-0 grid grid-nogutter" style="padding: 2px !important;">

            <div class="col-12 md:col-4 lg:col-4 py-2 px-2 border-none md:border-right-1 surface-border">

                <app-progress-note *ngIf="dataLoaded" [parentData]="parentData"></app-progress-note>
                <div *ngIf="!(dataLoaded)">Loading...</div>

            </div>

            <div class="col-12 md:col-4 lg:col-4 py-2 px-2 border-none md:border-right-1 surface-border">
                <app-order-oneday *ngIf="dataLoaded" [parentData]="parentData"></app-order-oneday>
                <div *ngIf="!(dataLoaded)">Loading...</div>
            </div>


            <div class="col-12 md:col-4 lg:col-4 py-2 px-2  surface-border">
                <app-order-continue *ngIf="dataLoaded" [parentData]="parentData"></app-order-continue>
                <div *ngIf="!(dataLoaded)">Loading...</div>

            </div>



        </div>

        <div class="card">
            <div class="mt-2 py-2 pl-4 flex w-full align-items-center bg-blue-100 tw-rounded">
                <span
                    class="bg-blue-500 text-white flex align-items-center justify-content-center border-circle mr-2 p-1">
                    <i class="pi pi-book text-xs"></i>
                </span>
                <span class="text-blue-500 text-2xl">Doctor Order [ ก่อนหน้านี้ ]</span>
            </div>

            <div *ngFor="let items of listDoctorOrder;let i = index">
                <div class="text-900 font-semibold text-lg mt-2 mb-3  border-bottom-1 surface-border py-3">
                    {{items.doctor_order_date |thaidate:'short'}} {{items.doctor_order_time}}
                    <p-button *ngIf="!items.is_confirm"
                        styleClass="p-button-rounded p-button-secondary p-button-outlined p-2" size="small"
                        (onClick)="confirmOrder(items)">
                        <i class="pi pi-spin pi-check-circle cursor-pointer text-sm" style="line-height: 1.25;"></i>

                    </p-button>

                    <!-- <button *ngIf="!items.is_confirm" styleClass="p-button-outlined p-2" pButton pRipple 
                    type="button" icon="pi pi-spin pi-check-circle" class="p-button-rounded p-button-secondary p-button-outlined" (onClick)="confirmOrder(items)">  </button> -->
                </div>
                <div *ngIf="items.is_confirm" class="mt-2 p-1 flex w-max align-items-center bg-green-100 tw-rounded">
                    <span
                        class="bg-green-500 text-white flex align-items-center justify-content-center border-circle mr-2 p-1">
                        <i class="pi pi-check text-xs"></i>
                    </span>
                    <!-- <span class="text-green-500 text-sm">ConfirmBy: {{ getUserById(items.confirm_by) | async }}</span> -->
                </div>
                <div class="flex flex-wrap">

                    <div class=" md:tw-w-1/3 lg:tw-w-1/3 xl:tw-w-1/3 px-4">
                        <div class="flex flex-column align-items-start">
                            <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">S:
                                <p-chip *ngIf="items.progress_note && items.progress_note !=''" label="{{items.progress_note.subjective }} "
                                    [removable]="!items.is_confirm" class="text-sm p-0" (onRemove)="removeProgressNote('S')"></p-chip>
                            </div>
                            <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">O:
                                <p-chip *ngIf="items.progress_note" label="{{items.progress_note.objective}}"
                                    [removable]="!items.is_confirm" class="text-sm p-0" (onRemove)="removeProgressNote('O')"></p-chip>
                            </div>
                            <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">A:
                                <p-chip *ngIf="items.progress_note" label="{{items.progress_note.assertment}}"
                                    [removable]="!items.is_confirm" class="text-sm p-0" (onRemove)="removeProgressNote('A')"></p-chip>
                            </div>
                            <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">P:
                                <p-chip *ngIf="items.progress_note" label="{{items.progress_note.plan}}"
                                    [removable]="!items.is_confirm" class="text-sm p-0" (onRemove)="removeProgressNote('P')"></p-chip>
                            </div>
                            <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">N:
                                <p-chip *ngIf="items.progress_note" label="{{items.progress_note.note}}"
                                    [removable]="!items.is_confirm" class="text-sm p-0" (onRemove)="removeProgressNote('N')"></p-chip>
                            </div>
                        </div>

                    </div>

                    <div class=" md:tw-w-1/3 lg:tw-w-1/3 xl:tw-w-1/3 px-4">
                        <div *ngIf="items.order">
                            <div *ngFor="let item of items.order">
                                <div *ngIf="item.order_type_id == 1">
                                    <div class="flex  gap-2 flex-wrap mt-2 p-0">
                                        <p-chip
                                            label="{{item.item_name}} {{item.medicine_usage_code}}-{{item.medicine_usage_extra}} ({{item.quantity}})"
                                            class="text-sm p-0"  [removable]="!items.is_confirm" (onRemove)="removeOrder(item.id)"></p-chip>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class=" md:tw-w-1/3 lg:tw-w-1/3 xl:tw-w-1/3 px-4" *ngIf="i ==0">
                        <div *ngFor="let item1 of listDoctorOrder">
                            <div *ngFor="let item2 of item1.order">
                                <div *ngIf="item2.order_type_id == 2">
                                    <div class="flex  gap-2 flex-wrap mt-2 p-0">
                                        <p-chip
                                            label="{{item2.item_name}} {{item2.medicine_usage_code}}-{{item2.medicine_usage_extra}} ({{item2.quantity}}) "
                                            class="text-sm p-0"  [removable]="!item1.is_confirm"  (onRemove)="removeOrder(item2.id)" ></p-chip>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class=" md:tw-w-1/3 lg:tw-w-1/3 xl:tw-w-1/3 px-4" *ngIf="i >=1">
                        <div *ngIf="items.order">
                            <div *ngFor="let item of items.order;let ind = index">
                                <div *ngIf="item.order_type_id == 2">
                                    <div class="flex  gap-2 flex-wrap mt-2 p-0">
                                        <p-chip
                                            label="{{item.item_name}} {{item.medicine_usage_code}}-{{item.medicine_usage_extra}} ({{item.quantity}})"
                                            class="text-sm p-0"></p-chip>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>